<template>
  <keep-alive>
    <equipment-category-2-list
      v-if="nodeType === 0"
      :nodeSelected="nodeSelected"
    ></equipment-category-2-list>
  </keep-alive>
</template>

<script>
import EquipmentCategory2List from "./EquipmentCategory2List";
export default {
  name: 'EquipmentCategoryRight',
  components: {
    EquipmentCategory2List,
  },
  data() {
    return {
      description: '设备分类',
      currentOrgCode: '',
      nodeType: 0,
      nodeSelected: {}
    }
  },
  methods: {},
  mounted() {
    this.$bus.$on('getCurrSelected', (data) => {  //getCurrSelected 事件 接收组件传递的参数
      this.nodeType = (data.type == undefined ? 0 : data.type);
      this.nodeSelected = data;
    })
  },
}
</script>

<style scoped>
</style>